INTERFACE
SUBROUTINE CUDDRAFNTL&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & LDDRAF,&
 & PTENH5, PQENH5,&
 & PGEO5, PGEOH5, PAPH5, PRFL5,&
 & PTD5, PQD5, PMFU5,&
 & PMFD5, PMFDS5, PMFDQ5, PDMFDP5,&
 & PDMFDE5, PMFDDE_RATE5, PKINED5 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
LOGICAL ,INTENT(IN) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRFL5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFDP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDMFDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFDDE_RATE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKINED5(KLON,KLEV)
END SUBROUTINE CUDDRAFNTL
END INTERFACE
